com.mockobjects

## Class ReturnValues

- java.lang.Object
- - com.mockobjects.ReturnValues

Direct Known Subclasses:
  VoidReturnValues

    public class ReturnValues
    extends java.lang.Object

Sequence values as required by MockMaker This is a generic class that should have been introduced to the mockobjects code stream instead of being separately included in org.mockobjects. It is possibly similar to a ReturnObjectList?

### Constructor Summary

Constructors
Constructor and Description
`ReturnValues()`
`ReturnValues(boolean keepUsingLastReturnValue)`
`ReturnValues(java.lang.String name, boolean keepUsingLastReturnValue)`

### Method Summary

Methods
`void` `add(java.lang.Object element)`
`void` `addAll(java.util.Collection returnValues)`
`java.lang.Object` `getNext()`
`boolean` `isEmpty()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ReturnValues

    public ReturnValues()

#### ReturnValues

    public ReturnValues(java.lang.String name,
                boolean keepUsingLastReturnValue)

#### ReturnValues

    public ReturnValues(boolean keepUsingLastReturnValue)

### Method Detail

#### add

    public void add(java.lang.Object element)

#### addAll

    public void addAll(java.util.Collection returnValues)

#### getNext

    public java.lang.Object getNext()

#### isEmpty

    public boolean isEmpty()